cURL
curl --request GET \
--url https://api.pricenow.dev/api/orders \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>'import requests
url = "https://api.pricenow.dev/api/orders"
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>'
}
};
fetch('https://api.pricenow.dev/api/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"accountId": 123,
"purchasedAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"referenceNumber": "<string>",
"currency": "<string>",
"listPriceGross": 123,
"listPriceNet": 123,
"promoCodeDiscount": 123,
"autoDiscountAmount": 123,
"totalDiscountGross": 123,
"totalDiscountNet": 123,
"donation": {
"type": "DONATION",
"amount": 123
},
"totalGross": 123,
"totalNet": 123,
"metadata": {
"weatherGuarantee": {}
}
}
],
"totalAmount": 123
}orders
Get apiorders
Get all orders of the current account. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
GET
/
api
/
orders
cURL
Headers
Language of the response
Available options:
en, de, fr, it Required by shared customer authentication. Ignored for customer order access filtering; access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
Query Parameters
Available options:
PAID, CREATED, REFUNDED, CANCELLED, PARTIALLY_CANCELLED, PARTIALLY_REFUNDED, RESERVED, PENDING ⌘I

